package de.renew.database;

/**
 * This class extends the Exception class and uses its methods, it represents an IllegalTokenException.
 */
public class IllegalTokenException extends Exception {
    /**
     * This is the constructor for the class IllegalTokenException,
     * which calls the constructor of the extended class Exception.
     */
    public IllegalTokenException() {
        super();
    }

    /**
     * This method constructs an IllegalTokenException with a specific detail message.
     * @param message the message explaining the reason for the exception
     */
    public IllegalTokenException(String message) {
        super(message);
    }
}